Bug 191523 - Review Request: perl-XML-Stream
Review Request: perl-XML-Stream
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 191540
  Show dependency treegraph
 
Reported: 2006-05-12 14:29 EDT by Chris Weyl
Modified: 2014-09-03 14:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-04 00:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-05-12 14:29:12 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-XML-Stream.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-XML-Stream-1.22-1.fc5.src.rpm
Description:

This module provides the user with methods to connect to a remote server,
send a stream of XML to the server, and receive/parse an XML stream from
the server.  It is primarily based work for the Etherx XML router
developed by the Jabber Development Team.  For more information about this
project visit http://etherx.jabber.org/stream/.

XML::Stream gives the user the ability to define a central callback that
will be used to handle the tags received from the server.  These tags are
passed in the format defined at instantiation time.  the closing tag of an
object is seen, the tree is finished and passed to the call back function.
What the user does with it from there is up to them.

For a detailed description of how this module works, and about the data
structure that it returns, please view the source of Stream.pm and
look at the detailed description at the end of the file.
Comment 1 Chris Weyl 2006-05-15 10:33:12 EDT
Updated:
Spec URL: http://home.comcast.net/~ckweyl/perl-XML-Stream.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-XML-Stream-1.22-2.fc5.src.rpm

Additionally, with respect to licensing, the author indicates that perl (GPL &
Artistic) is the correct license:

Date: Sun, 14 May 2006 16:52:31 -0500
From: Ryan Eatmon <reatmon@jabber.org>
To: Chris Weyl <cweyl@alumni.drew.edu>
Subject: Re: Net::XMPP license question

Yep.


Chris Weyl wrote:
> Hey Ryan--
> 
> Quick question.  I'm in the middle of packaging up Net::XMPP (and for
> that matter, XML::Stream and Net::Jabber) for fedora extras, and it
> was pointed out to me that while Net/XMPP.pm states "COPYRIGHT: This
> module is free software, you can redistribute it and/or modify it
> under the same terms as Perl itself", the actual archive includes a
> LICENSE.LGPL.
> 
> Are all three of these modules under "the same terms as Perl itself"?
> 
> Thanks:)
>                               -Chris
Comment 2 Jason Tibbitts 2006-05-15 10:51:20 EDT
Did the author have anything at all to say about the large copyright blocks on
the code itself?  The fact that this conflicts both the copyright statements in
the documentation and seemingly the author's intent is disturbing.  It might
even make the software non-distributable.

I really think the author needs to release an update where everything agrees, or
explicitly gives you permision to patch out the conflicting license statements
and delete COPYING.LGPL.  Sorry.
Comment 3 Chris Weyl 2006-05-15 11:00:17 EDT
Author emailed, asking for permission to patch out and remove LGPL and statemente.
Comment 4 Jason Tibbitts 2006-05-22 15:11:58 EDT
Any response from the author on any of these?
Comment 5 Chris Weyl 2006-05-22 17:55:17 EDT
None yet, aside from the initial confirmation that (at the least) the modules
are covered under the perl licenses.

Sent another request to him earlier today.
Comment 6 Chris Weyl 2006-05-22 21:13:45 EDT
From: Ryan Eatmon <reatmon@jabber.org>	
To: Chris Weyl <cweyl@alumni.drew.edu>
Date: May 22, 2006 6:03 PM
Subject: Re: Net::XMPP license question

Whatever.  I don't actually care one way or the other.  Go right ahead.

Chris Weyl wrote:
> Sorry to keep on bugging you, but would it be OK for me to strip out
> the LGPL licensing statements?
>
> Or is this software triple licensed?  e.g. Perl (GPL or Artistic), LGPL?
Comment 7 Chris Weyl 2006-05-24 11:48:12 EDT
Updated to indicate the module is triple licensed: Perl (Artistic / GPL) & LGPL

Spec URL: http://home.comcast.net/~ckweyl/perl-XML-Stream.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-XML-Stream-1.22-3.fc5.src.rpm
Comment 8 Jason Tibbitts 2006-05-25 23:16:30 EDT
Note: test suites should not talk to the network as you don't know that the
build hosts aren't completely firewalled.  In any case, the tests don't work at
all for me in mock, probably due to not having a resolver configuration:

PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/buildxml......Cannot resolve compute20.math.uh.edu:  at lib/XML/Stream.pm line
406.
# Looks like you planned 56 tests but only ran 1.
# Looks like your test died just after 1.

My recommendation is to just comment out the "make test" line in %check before
you check in.  I'll assume that's been done for the purposes of this review.

Upstream includes a copy of the LGPL, which you must include in the package.  I
would recommend including the others as well; just do

perldoc perlgpl > LICENSE.GPL
perldoc perlartistic > LICENSE.Artistic

and then include those as %doc along with the included LICENSE.LGPL.

I'd also suggest including any correspondence with the author you have which
might clarify the license issie.

No need to BuildRequires: perl, but not a blocker.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
O license field matches the actual license (please include the author's
"clarification" of the license issue).
X license is open source-compatible.  License text provided but not included.
* source files match upstream:
   ae09400fac17eaea4c9b12283db06881  XML-Stream-1.22.tar.gz
   ae09400fac17eaea4c9b12283db06881  XML-Stream-1.22.tar.gz-srpm
* latest version is being packaged.
O BuildRequires are proper.  (perl BR is superfluous.)
* package builds in mock (development, x86_64), with test suite disabled.
* rpmlint is silent.
* final provides and requires are sane:
   perl(XML::Stream) = 1.22
   perl(XML::Stream::Namespace) = 1.22
   perl(XML::Stream::Node) = 1.22
   perl(XML::Stream::Parser) = 1.22
   perl(XML::Stream::Parser::DTD) = 1.22
   perl(XML::Stream::Tree) = 1.22
   perl(XML::Stream::XPath) = 1.22
   perl(XML::Stream::XPath::AllOp)
   perl(XML::Stream::XPath::AndOp)
   perl(XML::Stream::XPath::AttributeOp)
   perl(XML::Stream::XPath::ContextOp)
   perl(XML::Stream::XPath::EqualOp)
   perl(XML::Stream::XPath::FunctionOp)
   perl(XML::Stream::XPath::NodeOp)
   perl(XML::Stream::XPath::NotEqualOp)
   perl(XML::Stream::XPath::Op) = 1.22
   perl(XML::Stream::XPath::OrOp)
   perl(XML::Stream::XPath::PositionOp)
   perl(XML::Stream::XPath::Query) = 1.22
   perl(XML::Stream::XPath::Value) = 1.22
   perl-XML-Stream = 1.22-3.fc6
  -
   perl >= 0:5.006_001
   perl(:MODULE_COMPAT_5.8.8)
   perl(Authen::SASL)
   perl(Carp)
   perl(Encode)
   perl(Exporter)
   perl(FileHandle)
   perl(IO::Select)
   perl(IO::Socket)
   perl(MIME::Base64)
   perl(POSIX)
   perl(Sys::Hostname)
   perl(XML::Stream::Namespace)
   perl(XML::Stream::Parser)
   perl(XML::Stream::XPath)
   perl(XML::Stream::XPath::Op)
   perl(XML::Stream::XPath::Query)
   perl(XML::Stream::XPath::Value)
   perl(strict)
   perl(utf8)
   perl(vars)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present but necessarily disabled.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 10 Jason Tibbitts 2006-05-27 01:10:54 EDT
OK, everything looks good; the package builds fine without changes and the
license issue is as clear as we can make it.

APPROVED
Comment 11 Chris Weyl 2006-06-04 00:37:18 EDT
Built for devel, FE-4, FE-5.  Thanks for the review! :)
Comment 12 Xavier Bachelot 2009-07-17 18:17:17 EDT
Chris is ok with me taking the EL branches : https://bugzilla.redhat.com/show_bug.cgi?id=496891

Package Change Request
======================
Package Name: perl-XML-Stream
New Branches: EL-5
Owners: xavierb
Comment 13 Kevin Fenzi 2009-07-19 16:57:07 EDT
cvs done.
Comment 14 Xavier Bachelot 2014-09-03 14:34:56 EDT
Package Change Request
======================
Package Name: perl-XML-Stream
New Branches: epel7
Owners: xavierb mmraka
Comment 15 Jon Ciesla 2014-09-03 14:54:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.